#!/bin/ksh
#
# Installs the Doom source (Acorn format) on a Unix machine.
# Execute this script from the directory containing Doom's c and h directories.

for i in $(ls -1 c); do
  mv c/${i} ${i}.c
done

for i in $(ls -1 h); do
  mv h/${i} ${i}.h
done

mv i_net.c Acorn/
mv i_video.c Acorn/
mv Makefile Acorn/
mv ROsupport.* Acorn/
mv GameSupp.h Acorn/
if [ -d Acorn/s ]; then
  rm -r -f Acorn/s
fi
mv s Acorn/
if [ -d Acorn/m ]; then
  rm -r -f Acorn/m
fi
mv m Acorn/
cp -p linux-c/i_net.c .
cp -p linux-c/i_video.c .
cp -p linux-c/Makefile .

rmdir c
rmdir h
