# sed script for mangling assembler files, acceptable to as, for objasm

1 i\
	AREA	|Asm$$Code|, CODE, READONLY\

/^	AREA	CODE, READONLY$/ {
  N
  D
  /	align	/ {
    N
    D
  }
}

s/	align	/	ALIGN	/
s/	dcb	/	DCD	/
s/	dcd	/	DCD	/
s/	dcw	/	DCD	/
s/	equ	/	EQU	/
s/	export	/	EXPORT	/
s/	idfn	/;	IDFN	/
s/	import	/	IMPORT	/
s/	rn	/	RN	/
s/|:/|/
